Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 1863)
+++ trunk/BNC/bnchelp.html	(revision 1868)
@@ -421,9 +421,28 @@
 </p>
 <p>
-The saved files contains parameters in plain ASCII format. The first four parameters in each record are:
+The saved files contains parameters in plain ASCII format. The first five parameters in each record are:
 </p>
 <p>
 <ul>
 <li>RTCMv3 message type number</li>
+<li>SSR message update interval indicator</li>
+<ul>
+<li>0 = 1 sec</li>
+<li>1 = 2 sec</li>
+<li>2 = 5 sec</li>
+<li>3 = 10 sec</li>
+<li>4 = 15 sec</li>
+<li>5 = 30 sec</li>
+<li>6 = 60 sec</li>
+<li>7 = 120 sec</li>
+<li>8 = 240 sec</li>
+<li>9 = 300 sec</li>
+<li>10 = 600 sec</li>
+<li>11 = 900 sec</li>
+<li>12 = 1800 sec</li>
+<li>13 = 3600 sec</li>
+<li>14 = 7200 sec</li>
+<li>15 = 10800 sec</li>
+</ul>
 <li>GPS Week</li>
 <li>Second in GPS Week</li>
@@ -453,11 +472,11 @@
 <pre>
 ...
-1057 1538 211151.0 G18     1      0.034    0.011   -0.064      0.000    0.000    0.000      0.000    0.000    0.000
-1057 1538 211151.0 G16    33     -0.005    0.194   -0.091      0.000    0.000    0.000      0.000    0.000    0.000
-1057 1538 211151.0 G22    50      0.008   -0.082   -0.001      0.000    0.000    0.000      0.000    0.000    0.000
-...
-1063 1538 211151.0 R09   111     -0.011   -0.014    0.005      0.000    0.000    0.000      0.000    0.000    0.000 
-1063 1538 211151.0 R10    43      0.000   -0.009   -0.002      0.000    0.000    0.000      0.000    0.000    0.000 
-1063 1538 211151.0 R21    75     -0.029    0.108    0.107      0.000    0.000    0.000      0.000    0.000    0.000 
+1057 0 1538 211151.0 G18     1      0.034    0.011   -0.064      0.000    0.000    0.000      0.000    0.000    0.000
+1057 0 1538 211151.0 G16    33     -0.005    0.194   -0.091      0.000    0.000    0.000      0.000    0.000    0.000
+1057 0 1538 211151.0 G22    50      0.008   -0.082   -0.001      0.000    0.000    0.000      0.000    0.000    0.000
+...
+1063 0 1538 211151.0 R09   111     -0.011   -0.014    0.005      0.000    0.000    0.000      0.000    0.000    0.000 
+1063 0 1538 211151.0 R10    43      0.000   -0.009   -0.002      0.000    0.000    0.000      0.000    0.000    0.000 
+1063 0 1538 211151.0 R21    75     -0.029    0.108    0.107      0.000    0.000    0.000      0.000    0.000    0.000 
 ...
 </pre>
@@ -475,11 +494,11 @@
 <pre>
 ...
-1058 1538 211151.0 G18     0      1.846       0.000    0.000
-1058 1538 211151.0 G16     0      0.376       0.000    0.000
-1058 1538 211151.0 G22     0      2.727       0.000    0.000
-...
-1064 1538 211151.0 R08     0      8.956       0.000    0.000
-1064 1538 211151.0 R07     0     14.457       0.000    0.000
-1064 1538 211151.0 R23     0      6.436       0.000    0.000
+1058 0 1538 211151.0 G18     0      1.846       0.000    0.000
+1058 0 1538 211151.0 G16     0      0.376       0.000    0.000
+1058 0 1538 211151.0 G22     0      2.727       0.000    0.000
+...
+1064 0 1538 211151.0 R08     0      8.956       0.000    0.000
+1064 0 1538 211151.0 R07     0     14.457       0.000    0.000
+1064 0 1538 211151.0 R23     0      6.436       0.000    0.000
 ...
 </pre>
@@ -507,11 +526,11 @@
 <pre>
 ...
-1060 1538 211610.0 G30    82      2.533      0.635   -0.359   -0.598    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
-1060 1538 211610.0 G31     5     -4.218     -0.208    0.022    0.002    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
-1060 1538 211610.0 G32    28     -2.326      0.977   -0.576    0.142    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
-...
-1066 1538 211610.0 R22    27      1.585      2.024    2.615   -2.080    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
-1066 1538 211610.0 R23    27      6.277      2.853    4.181    1.304    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
-1066 1538 211610.0 R24    27      0.846      1.805   13.095    6.102    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
+1060 0 1538 211610.0 G30    82      2.533      0.635   -0.359   -0.598    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
+1060 0 1538 211610.0 G31     5     -4.218     -0.208    0.022    0.002    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
+1060 0 1538 211610.0 G32    28     -2.326      0.977   -0.576    0.142    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
+...
+1066 0 1538 211610.0 R22    27      1.585      2.024    2.615   -2.080    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
+1066 0 1538 211610.0 R23    27      6.277      2.853    4.181    1.304    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
+1066 0 1538 211610.0 R24    27      0.846      1.805   13.095    6.102    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000
 ...
 </pre>
@@ -531,7 +550,7 @@
 <pre>
 ...
-1059 1538 211151.0 G18 2 0   -0.010 11   -0.750 
-1059 1538 211151.0 G16 2 0   -0.040 11   -0.430
-1059 1538 211151.0 G22 2 0   -0.630 11   -2.400
+1059 0 1538 211151.0 G18 2 0   -0.010 11   -0.750 
+1059 0 1538 211151.0 G16 2 0   -0.040 11   -0.430
+1059 0 1538 211151.0 G22 2 0   -0.630 11   -2.400
 ...
 </pre>
@@ -553,25 +572,25 @@
 <pre>
 ...
-1057 1538 211151.0 G18     1      0.034    0.011   -0.064    0.000    0.000    0.000 RTCMSSR
-1057 1538 211151.0 G16    33     -0.005    0.194   -0.091    0.000    0.000    0.000 RTCMSSR
-1057 1538 211151.0 G22    50      0.008   -0.082   -0.001    0.000    0.000    0.000 RTCMSSR
-1058 1538 211151.0 G18     0      1.846    0.000 RTCMSSR
-1058 1538 211151.0 G16     0      0.376    0.000 RTCMSSR
-1058 1538 211151.0 G22     0      2.727    0.000 RTCMSSR
-1059 1538 211151.0 G18 2 0   -0.010 11   -0.750 RTCMSSR
-1059 1538 211151.0 G16 2 0   -0.040 11   -0.430 RTCMSSR
-1059 1538 211151.0 G22 2 0   -0.630 11   -2.400 RTCMSSR
-1063 1538 211151.0 R09   111     -0.011   -0.014    0.005    0.0000    0.000    0.000 RTCMSSR
-1063 1538 211151.0 R10    43      0.000   -0.009   -0.002    0.0000    0.000    0.000 RTCMSSR
-1063 1538 211151.0 R21    75     -0.029    0.108    0.107    0.0000    0.000    0.000 RTCMSSR
-1064 1538 211151.0 R08     0      8.956    0.000 RTCMSSR
-1064 1538 211151.0 R07     0     14.457    0.000 RTCMSSR
-1064 1538 211151.0 R23     0      6.436    0.000 RTCMSSR
-1066 1538 211610.0 R24    27      0.846      1.805   13.095    6.102    0.000    0.000    0.000    0.000 CLK11
-1066 1538 211610.0 R23    27      6.277      2.853    4.181    1.304    0.000    0.000    0.000    0.000 CLK11
-1066 1538 211610.0 R22    27      1.585      2.024    2.615   -2.080    0.000    0.000    0.000    0.000 CLK11
-1060 1538 211610.0 G32    28     -2.326      0.977   -0.576    0.142    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000 CLK10
-1060 1538 211610.0 G31     5     -4.218     -0.208    0.022    0.002    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000 CLK10
-1060 1538 211610.0 G30    82      2.533      0.635   -0.359   -0.598    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000 CLK10
+1057 0 1538 211151.0 G18     1      0.034    0.011   -0.064    0.000    0.000    0.000 RTCMSSR
+1057 0 1538 211151.0 G16    33     -0.005    0.194   -0.091    0.000    0.000    0.000 RTCMSSR
+1057 0 1538 211151.0 G22    50      0.008   -0.082   -0.001    0.000    0.000    0.000 RTCMSSR
+1058 0 1538 211151.0 G18     0      1.846    0.000 RTCMSSR
+1058 0 1538 211151.0 G16     0      0.376    0.000 RTCMSSR
+1058 0 1538 211151.0 G22     0      2.727    0.000 RTCMSSR
+1059 0 1538 211151.0 G18 2 0   -0.010 11   -0.750 RTCMSSR
+1059 0 1538 211151.0 G16 2 0   -0.040 11   -0.430 RTCMSSR
+1059 0 1538 211151.0 G22 2 0   -0.630 11   -2.400 RTCMSSR
+1063 0 1538 211151.0 R09   111     -0.011   -0.014    0.005    0.0000    0.000    0.000 RTCMSSR
+1063 0 1538 211151.0 R10    43      0.000   -0.009   -0.002    0.0000    0.000    0.000 RTCMSSR
+1063 0 1538 211151.0 R21    75     -0.029    0.108    0.107    0.0000    0.000    0.000 RTCMSSR
+1064 0 1538 211151.0 R08     0      8.956    0.000 RTCMSSR
+1064 0 1538 211151.0 R07     0     14.457    0.000 RTCMSSR
+1064 0 1538 211151.0 R23     0      6.436    0.000 RTCMSSR
+1066 0 1538 211610.0 R24    27      0.846      1.805   13.095    6.102    0.000    0.000    0.000    0.000 CLK11
+1066 0 1538 211610.0 R23    27      6.277      2.853    4.181    1.304    0.000    0.000    0.000    0.000 CLK11
+1066 0 1538 211610.0 R22    27      1.585      2.024    2.615   -2.080    0.000    0.000    0.000    0.000 CLK11
+1060 0 1538 211610.0 G32    28     -2.326      0.977   -0.576    0.142    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000 CLK10
+1060 0 1538 211610.0 G31     5     -4.218     -0.208    0.022    0.002    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000 CLK10
+1060 0 1538 211610.0 G30    82      2.533      0.635   -0.359   -0.598    0.000    0.000    0.000    0.000    0.000    0.000    0.000    0.000 CLK10
 ...
 </pre>