Index: trunk/BNC/bncfigure.cpp
===================================================================
--- trunk/BNC/bncfigure.cpp	(revision 1988)
+++ trunk/BNC/bncfigure.cpp	(revision 1989)
@@ -147,27 +147,27 @@
   // ------
   int yLength = int((yMax-yMin)*xLine) - (yMin+10);
-  painter.drawLine(xMin+50, int((yMax-yMin)*xLine), xMin+50, yMin+10);
+  painter.drawLine(xMin+60, int((yMax-yMin)*xLine), xMin+60, yMin+10);
 
   QString maxRateStr;
   if      (8.0 * _maxRate < 1e3) {
     maxRateStr = QString("%1 bps  ").arg(int(8.0 * _maxRate));
-    painter.drawText(0, int((yMax-yMin)*xLine)-5, xMin+50,15,Qt::AlignRight,tr("0 bps  "));
+    painter.drawText(0, int((yMax-yMin)*xLine)-5, xMin+60,15,Qt::AlignRight,tr("0 bps  "));
   }
   else if (8.0 * _maxRate < 1e6) {
     maxRateStr = QString("%1 kbps  ").arg(int(8.0 * _maxRate / 1.e3));
-    painter.drawText(0, int((yMax-yMin)*xLine)-5, xMin+50,15,Qt::AlignRight,tr("0 kbps  "));
+    painter.drawText(0, int((yMax-yMin)*xLine)-5, xMin+60,15,Qt::AlignRight,tr("0 kbps  "));
   }
   else {
     maxRateStr = QString("%1 Mbps  ").arg(int(8.0 * _maxRate / 1.e6));
-    painter.drawText(0, int((yMax-yMin)*xLine)-5, xMin+50,15,Qt::AlignRight,tr("0 Mbps  "));
+    painter.drawText(0, int((yMax-yMin)*xLine)-5, xMin+60,15,Qt::AlignRight,tr("0 Mbps  "));
   }
 
   if(_maxRate > 0.0) {
-    painter.drawText(0, yMin+25-5, xMin+50,15,Qt::AlignRight,maxRateStr);
+    painter.drawText(0, yMin+25-5, xMin+60,15,Qt::AlignRight,maxRateStr);
   }
 
   // x-axis
   // ------
-  painter.drawLine(xMin+50, int((yMax-yMin)*xLine), xMax*3, int((yMax-yMin)*xLine));
+  painter.drawLine(xMin+60, int((yMax-yMin)*xLine), xMax*3, int((yMax-yMin)*xLine));
 
   int anchor = 0;
@@ -177,5 +177,5 @@
     QByteArray staID = it.key();
 
-    int xx = xMin+70+anchor*12;
+    int xx = xMin+80+anchor*12;
 
     painter.save();
Index: trunk/BNC/bncfigurelate.cpp
===================================================================
--- trunk/BNC/bncfigurelate.cpp	(revision 1988)
+++ trunk/BNC/bncfigurelate.cpp	(revision 1989)
@@ -116,6 +116,6 @@
   // ------
   int yLength = int((yMax-yMin)*xLine) - (yMin+10);
-  painter.drawLine(xMin+50, int((yMax-yMin)*xLine), xMin+50, yMin+10);
-  painter.drawText(0, int((yMax-yMin)*xLine)-5, xMin+50,15,Qt::AlignRight,tr("0 ms  "));
+  painter.drawLine(xMin+60, int((yMax-yMin)*xLine), xMin+60, yMin+10);
+  painter.drawText(0, int((yMax-yMin)*xLine)-5, xMin+60,15,Qt::AlignRight,tr("0 ms  "));
 
   double maxLate = 0.0;
@@ -131,10 +131,10 @@
     QString maxLateStr;
     maxLateStr = QString("%1 ms  ").arg(int(maxLate));
-    painter.drawText(0, yMin+25-5, xMin+50,15,Qt::AlignRight,maxLateStr);
+    painter.drawText(0, yMin+25-5, xMin+60,15,Qt::AlignRight,maxLateStr);
   }
 
   // x-axis
   // ------
-  painter.drawLine(xMin+50, int((yMax-yMin)*xLine), xMax*3, int((yMax-yMin)*xLine));
+  painter.drawLine(xMin+60, int((yMax-yMin)*xLine), xMax*3, int((yMax-yMin)*xLine));
 
   int anchor = 0;
@@ -144,5 +144,5 @@
     QByteArray staID = it.key();
 
-    int xx = xMin+70+anchor*12;
+    int xx = xMin+80+anchor*12;
 
     painter.save();
Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 1988)
+++ trunk/BNC/bnchelp.html	(revision 1989)
@@ -871,5 +871,5 @@
 <p><a name="miscperf"><h4>3.10.2 Log Latency - optional </h4></p>
 <p>
- BNC can average latencies per stream over a certain period of GPS time, the 'Performance log' interval. Mean latencies are calculated from the individual latencies of at most one (first incoming) observation or correction to Broadcast Ephemeris per second. Note that computing correct latencies requires the clock of the host computer to be properly synchronized.
+ BNC can average latencies per stream over a certain period of GPS time, the 'Log latency' interval. Mean latencies are calculated from the individual latencies of at most one (first incoming) observation or correction to Broadcast Ephemeris per second. The mean latencies are then saved in BNC's logfile. Note that computing correct latencies requires the clock of the host computer to be properly synchronized. Note further that the latencies available from the 'Latency' tab on the bottom of the main window represent individual latencies and not the mean latencies for the logfile.
 </p>
 <p>
@@ -884,8 +884,8 @@
 </pre>
 <p>
-<u>Statistics:</u> BNC counts the number of GPS seconds covered by at least one observation. It also estimates an observation rate (independent from the a priory specified 'Observation rate') from all observations received throughout the first full 'Performance log' interval. Based on this rate, BNC estimates the number of data gaps when appearing in subsequent intervals. 
-</p>
-<p>
-Latencies of observations or corrections to Broadcast Ephemeris and statistical information can be recorded in the 'Log' tab at the end of each 'Performance log' interval. A typical output from a 1 hour 'Performance log' interval would be:
+<u>Statistics:</u> BNC counts the number of GPS seconds covered by at least one observation. It also estimates an observation rate (independent from the a priory specified 'Observation rate') from all observations received throughout the first full 'Log latency' interval. Based on this rate, BNC estimates the number of data gaps when appearing in subsequent intervals. 
+</p>
+<p>
+Latencies of observations or corrections to Broadcast Ephemeris and statistical information can be recorded in the 'Log' tab at the end of each 'Log latency' interval. A typical output from a 1 hour 'Log latency' interval would be:
 </p>
 <pre>
@@ -893,5 +893,5 @@
 </pre>
 <p>
-Select a 'Performance log' interval to activate this function or select the empty option field if you do not want BNC to log latencies and statistical information.
+Select a 'Log latency' interval to activate this function or select the empty option field if you do not want BNC to log latencies and statistical information.
 </p>
 
@@ -989,5 +989,5 @@
 <p><a name="latency"><h4>3.12.3 Latency</h4></p>
 <p>
-The latency of observations in each incoming stream is shown in the 'Latency' tab in milliseconds. Streams not carrying observations (i.e. those providing only broadcast ephemeris messages) are not considered here. Note that latency calculations require the clock of the host computer to be properly synchronized.
+The latency of observations in each incoming stream is shown in the 'Latency' tab in milliseconds. Streams not carrying observations (i.e. those providing only broadcast ephemeris messages) are not considered here. Note that the calculation of correct latencies requires the clock of the host computer to be properly synchronized.
 </p>
 
Index: trunk/BNC/bncwindow.cpp
===================================================================
--- trunk/BNC/bncwindow.cpp	(revision 1988)
+++ trunk/BNC/bncwindow.cpp	(revision 1989)
@@ -356,5 +356,5 @@
   _log->setWhatsThis(tr("Records of BNC's activities are shown in the 'Log' tab. The message log covers the communication status between BNC and the NTRIP broadcaster as well as any problems that occur in the communication link, stream availability, stream delay, stream conversion etc."));
   _bncFigure->setWhatsThis(tr("The bandwidth consumtion per stream is shown in the 'Throughput' tab in bits per second (bps) or kilo bits per second (kbps)."));
-  _bncFigureLate->setWhatsThis(tr("Latency"));
+  _bncFigureLate->setWhatsThis(tr("The individual latency of observations in each incoming stream is shown in the 'Latency' tab in milliseconds. Streams not carrying observations (i.e. those providing only broadcast ephemeris messages) are not considered here. Note that the calculation of correct latencies requires the clock of the host computer to be properly synchronized."));
   _ephV3CheckBox->setWhatsThis(tr("The default format for output of RINEX Navigation data containing Broadcast Ephemeris is RINEX Version 2.11. Select 'Version 3' if you want to output the ephemeris in RINEX Version 3 format."));
   _rnxV3CheckBox->setWhatsThis(tr("The default format for RINEX Observation files is RINEX Version 2.11. Select 'Version 3' if you want to save the observations in RINEX Version 3 format."));