Index: /trunk/BNC/bnc.pro
===================================================================
--- /trunk/BNC/bnc.pro	(revision 2010)
+++ /trunk/BNC/bnc.pro	(revision 2011)
@@ -38,5 +38,5 @@
           bncnetqueryudp0.h bncudpport.h                              \ 
           bncserialport.h bncnetquerys.h bncfigure.h                  \ 
-          bncfigurelate.h bncpppthread.h                              \ 
+          bncfigurelate.h bncpppthread.h bncversion.h                 \ 
           RTCM/GPSDecoder.h RTCM/RTCM2.h RTCM/RTCM2Decoder.h          \
           RTCM/RTCM2_2021.h RTCM/rtcm_utils.h                         \
Index: /trunk/BNC/bncapp.cpp
===================================================================
--- /trunk/BNC/bncapp.cpp	(revision 2010)
+++ /trunk/BNC/bncapp.cpp	(revision 2011)
@@ -48,4 +48,5 @@
 #include "bncrinex.h" 
 #include "bncsettings.h" 
+#include "bncversion.h" 
 
 using namespace std;
@@ -70,6 +71,4 @@
   QApplication(argc, argv, GUIenabled) {
 
-  _bncVersion  = "BNC 1.7";
-
   _logFileFlag = 0;
   _logFile     = 0;
@@ -102,5 +101,5 @@
   _socketsCorr = 0;
 
-  _pgmName  = _bncVersion.leftJustified(20, ' ', true);
+  _pgmName  = QString(BNCPGMNAME).leftJustified(20, ' ', true);
 #ifdef WIN32
   _userName = QString("${USERNAME}");
Index: /trunk/BNC/bncapp.h
===================================================================
--- /trunk/BNC/bncapp.h	(revision 2010)
+++ /trunk/BNC/bncapp.h	(revision 2011)
@@ -38,5 +38,4 @@
     bncApp(int& argc, char* argv[], bool GUIenabled);
     virtual ~bncApp();  
-    QString bncVersion() const {return _bncVersion;}
     void setPort(int port);
     void setPortCorr(int port);
@@ -76,5 +75,4 @@
     QTextStream*      _logStream;
     int               _logFileFlag;
-    QString           _bncVersion;
     QMutex            _mutex;
     QMutex            _mutexMessage;
Index: /trunk/BNC/bncnetqueryrtp.cpp
===================================================================
--- /trunk/BNC/bncnetqueryrtp.cpp	(revision 2010)
+++ /trunk/BNC/bncnetqueryrtp.cpp	(revision 2011)
@@ -20,8 +20,7 @@
 #include "bncnetqueryrtp.h"
 #include "bncsettings.h"
+#include "bncversion.h"
 
 using namespace std;
-
-#define BNCVERSION "1.7"
 
 // Constructor
Index: /trunk/BNC/bncnetquerys.cpp
===================================================================
--- /trunk/BNC/bncnetquerys.cpp	(revision 2010)
+++ /trunk/BNC/bncnetquerys.cpp	(revision 2011)
@@ -16,8 +16,7 @@
 
 #include "bncnetquerys.h"
+#include "bncversion.h"
 
 using namespace std;
-
-#define BNCVERSION "1.7"
 
 // Constructor
Index: /trunk/BNC/bncnetqueryudp.cpp
===================================================================
--- /trunk/BNC/bncnetqueryudp.cpp	(revision 2010)
+++ /trunk/BNC/bncnetqueryudp.cpp	(revision 2011)
@@ -21,8 +21,8 @@
 #include "bncnetqueryudp.h"
 #include "bncsettings.h"
+#include "bncversion.h"
 
 using namespace std;
 
-#define BNCVERSION "1.7"
 #define TIME_RESOLUTION 125
 
Index: /trunk/BNC/bncnetqueryv0.cpp
===================================================================
--- /trunk/BNC/bncnetqueryv0.cpp	(revision 2010)
+++ /trunk/BNC/bncnetqueryv0.cpp	(revision 2011)
@@ -20,8 +20,7 @@
 #include "bncnetqueryv0.h"
 #include "bncsettings.h"
+#include "bncversion.h"
 
 using namespace std;
-
-#define BNCVERSION "1.7"
 
 // Constructor
Index: /trunk/BNC/bncnetqueryv1.cpp
===================================================================
--- /trunk/BNC/bncnetqueryv1.cpp	(revision 2010)
+++ /trunk/BNC/bncnetqueryv1.cpp	(revision 2011)
@@ -20,8 +20,7 @@
 #include "bncnetqueryv1.h"
 #include "bncsettings.h"
+#include "bncversion.h"
 
 using namespace std;
-
-#define BNCVERSION "1.7"
 
 // Constructor
Index: /trunk/BNC/bncnetqueryv2.cpp
===================================================================
--- /trunk/BNC/bncnetqueryv2.cpp	(revision 2010)
+++ /trunk/BNC/bncnetqueryv2.cpp	(revision 2011)
@@ -19,6 +19,5 @@
 #include "bncnetqueryv2.h"
 #include "bncsettings.h"
-
-#define BNCVERSION "1.7"
+#include "bncversion.h"
 
 // Constructor