Index: trunk/BNS/bnshelp.html
===================================================================
--- trunk/BNS/bnshelp.html	(revision 2046)
+++ trunk/BNS/bnshelp.html	(revision 2099)
@@ -1,2 +1,7 @@
+
+*  2009 12  7 13 11   0.00000000
+PG28 -12951.747438 -13222.750536  19615.188932    -24.896066     -0.001994   0.437   0.447  -0.663
+PG29   1040.597872  21860.130922 -14987.804882     80.203472      0.005916  -0.027  -0.577   0.396
+
 <h3>BKG Ntrip State Space Server (BNS) Version 1.1</h3>
 
@@ -267,4 +272,6 @@
 <li>X,Y,Z coordinates in Earth-Centered-Earth-Fixed system [km]</li>
 <li>Satellite clock error [microsecond]</li>
+<li>don't know what this is</li>
+<li>DX,DY,DZ [m] in Earth-Centered-Earth-Fixed system for transformation CoM->APC</li>
 </ul>
 </p>
@@ -273,26 +280,33 @@
 <p>
 <pre>
-*  2008 11 15 23  9  40.00000000
-PG02   9913.526202 -14009.502013  20043.508402    172.954389
-PG04  23093.835904  -6682.421653  11570.857634   -233.598390
-PG07  24249.710621   7319.754680   8146.397178     23.216940
-PG08  26390.024445     40.546316  -4908.638575   -178.106488
-PG10   1835.245663 -21440.492626  15205.319419     -7.272325
-PG13  12906.569448   6704.608105  22108.581216    277.382794
-PG16  -6605.961090  17147.164247  19156.319313     95.078459
-PG20  13676.316680  22650.428992   2457.051428     98.981972
-PG23   6709.764296  15204.810711  20604.601368    380.096453
-PG25  19695.705366   9866.220333  15065.609012     26.781926
-PG27  25598.219004   4571.609372   6357.551439      0.304345
-PG29 -12376.531693  -8988.235685  21818.571434    -29.839454
-PR04   9918.187580  23513.478040    319.847487    151.558351
-PR06   8858.433630  -7341.610546  22646.535467   -244.283462
-PR07  -2285.074648 -21548.431780  13471.401525   -122.300100
-PR14  -4723.060343  10040.375495  22946.780676   -113.677871
-PR15  14469.798068  10358.339867  18230.729298     79.645569
-PR20  17648.744681 -16698.956975  -7876.252525    -62.588294
-PR21  10448.514425 -21096.368284   9681.207096   -122.789091
-PR22  -2707.192952 -13243.085608  21689.194398   -170.976408
-PR23 -14575.573714   2817.925995  20728.130339   -263.187906
+*  2009 12  7 13 11  30.00000000
+PG02 -17277.380009   2091.965728 -20014.757340    200.667430     -0.020765   0.400  -0.048   0.463
+PG03  19627.221372   3050.386053  17442.249843    484.620065     -0.027058  -1.764  -0.409  -1.912
+PG04 -12242.575503 -10298.850741 -21324.632495   -395.243807      0.018961   1.293   0.796   1.723
+PG06  19936.482526   6838.385477  16400.972130    263.477583      0.004206  -1.814  -0.804  -1.817
+PG07   5678.544672 -24345.955234   8724.710375      6.401831      0.002341  -0.150   0.644  -0.231
+PG08  -3321.752663 -18354.554749  18660.882796      0.581366      0.020077   0.542   1.552  -1.778
+PG09 -15158.150865  20095.895075   7731.079467     92.691369      0.042950   1.548  -1.606  -0.759
+PG10 -26555.802629  -1328.738609  -3067.238728    -29.874813     -0.009529   2.404  -0.047   0.052
+PG11  11355.037815 -22743.898329   6785.481076    -33.012783      0.009787  -0.419   0.839  -0.250
+PG12 -18727.023690  11195.840290 -15001.060103   -179.812267      0.001413   0.495  -0.296   0.397
+PG13  -3530.057584 -23093.247123 -12746.265019    306.507998     -0.007785   0.160   1.044   0.576
+PG14  14876.553790  21936.308423  -2425.887890    -15.131538     -0.010647  -0.658  -0.971   0.107
+PG15 -15051.456205   4766.210157  21398.796471   -318.647377     -0.003982   0.396  -0.125  -0.563
+PG16  25886.305649   3111.150375  -5680.650110    -16.756941      0.006335  -1.268  -0.152   0.278
+PG17 -15838.134604 -21221.134857  -3131.996666    109.518744     -0.006664   0.383   0.513   0.076
+PG18   2341.809506  15692.869974  21569.549100     32.987459      0.016546  -0.099  -0.664  -0.913
+PG19  14353.626825  -5592.886761  21686.540239     -2.643374     -0.013167  -0.360   0.140  -0.545
+PG20  14162.198876 -14087.817561 -17607.325684     65.982042      0.007249  -0.614   0.611   0.763
+PG21  -1115.219960  22936.068705  13082.949095    -26.031335      0.034081   0.055  -1.128  -0.644
+PG22  15388.144303  12668.692884  17754.002574    184.515260     -0.003441  -0.457  -0.376  -0.527
+PG23   6137.860566 -16071.318506 -20177.986421    384.829018     -0.013949  -0.139   0.365   0.458
+PG26   9782.099313  23784.754391   4993.504191     -0.747748      0.032330  -0.616  -2.173  -0.545
+PG27 -16675.283602  16880.802098  12556.774150    106.288979     -0.043040   1.744  -1.371  -1.125
+PG28 -12880.282141 -13227.025015  19659.446691    -24.895998     -0.001843   0.435   0.447  -0.664
+PG29   1005.239839  21814.164298 -15056.502198     80.203527      0.005903  -0.027  -0.576   0.397
+PG30  -6919.587177  15493.379752 -20806.148039    199.506713      0.011228   0.871  -1.494   1.780
+PG31  12670.135527   7704.767700 -21813.362583    -59.285040      0.006397  -0.360  -0.219   0.620
+PG32  21895.648698  -7825.752765 -12175.688060    142.935132     -0.013263  -2.033   0.707   1.441
 </pre>
 </p>