Index: /trunk/BNC/bncpppclient.cpp
===================================================================
--- /trunk/BNC/bncpppclient.cpp	(revision 2122)
+++ /trunk/BNC/bncpppclient.cpp	(revision 2123)
@@ -141,5 +141,5 @@
   // Add new Satellite to the epoch
   // ------------------------------
-  t_time tt(obs->GPSWeek, obs->GPSWeeks);
+  bncTime tt(obs->GPSWeek, obs->GPSWeeks);
   
   if      (!_epoData) {
@@ -229,5 +229,5 @@
 // Satellite Position
 ////////////////////////////////////////////////////////////////////////////
-t_irc bncPPPclient::getSatPos(const t_time& tt, const QString& prn, 
+t_irc bncPPPclient::getSatPos(const bncTime& tt, const QString& prn, 
                               ColumnVector& xc, ColumnVector& vv, bool& corr) {
 
@@ -288,5 +288,5 @@
   for (int ii = 1; ii <= 10; ii++) {
 
-    t_time ToT = _epoData->tt - prange / t_CST::c - clkSat;
+    bncTime ToT = _epoData->tt - prange / t_CST::c - clkSat;
 
     ColumnVector xc(4);
Index: /trunk/BNC/bncpppclient.h
===================================================================
--- /trunk/BNC/bncpppclient.h	(revision 2122)
+++ /trunk/BNC/bncpppclient.h	(revision 2123)
@@ -31,5 +31,5 @@
 
 #include "bncconst.h"
-#include "t_time.h"
+#include "bnctime.h"
 #include "RTCM/GPSDecoder.h"
 #include "RTCM3/ephemeris.h"
@@ -68,5 +68,5 @@
   }
   unsigned size() const {return satData.size();}
-  t_time                    tt;
+  bncTime                    tt;
   QMap<QString, t_satData*> satData;
 };
@@ -74,5 +74,5 @@
 class t_corr {
  public:
-  t_time       tt;
+  bncTime       tt;
   int          iod;
   double       dClk;
@@ -93,5 +93,5 @@
 
  private:
-  t_irc getSatPos(const t_time& tt, const QString& prn, 
+  t_irc getSatPos(const bncTime& tt, const QString& prn, 
                   ColumnVector& xc, ColumnVector& vv, bool& corr);
   void processEpoch();
Index: /trunk/BNC/bnctime.cpp
===================================================================
--- /trunk/BNC/bnctime.cpp	(revision 2123)
+++ /trunk/BNC/bnctime.cpp	(revision 2123)
@@ -0,0 +1,175 @@
+#include <time.h>
+#include <cmath>
+#include <cstdio>
+#include <sstream>
+#include <iomanip>
+
+#include "bnctime.h"
+
+using namespace std;
+
+// Constructor
+//////////////////////////////////////////////////////////////////////////////
+bncTime::bncTime(int gpsw, double gpssec) {
+  this->set(gpsw, gpssec);
+}
+  
+// 
+//////////////////////////////////////////////////////////////////////////////
+bncTime& bncTime::set(int gpsw, double gpssec) {
+  int  deltad;
+  int  dow = 0;
+  while ( gpssec >= 86400 ) {
+    gpssec-=86400;
+    dow++;
+  }
+  while ( gpssec <  0 ) {
+    gpssec+=86400;
+    dow--;
+  }
+  deltad = gpsw*7 + dow;
+  _mjd = 44244 + deltad;
+  _sec = gpssec;
+  return *this;
+}
+
+// 
+//////////////////////////////////////////////////////////////////////////////
+bncTime& bncTime::setmjd(double daysec, int mjd) {
+  _sec = daysec;
+  _mjd = mjd;
+  while ( _sec >= 86400 ) {
+    _sec-=86400;
+    _mjd++;
+  }
+  while ( _sec <  0 ) {
+    _sec+=86400;
+    _mjd--;
+  }
+  return *this;
+}
+
+// 
+//////////////////////////////////////////////////////////////////////////////
+void bncTime::jdgp(double tjul, double & second, long & nweek) {
+  double      deltat;
+  deltat = tjul - 44244.0 ;
+  nweek = (long) floor(deltat/7.0);
+  second = (deltat - (nweek)*7.0)*86400.0;
+}
+
+// 
+//////////////////////////////////////////////////////////////////////////////
+unsigned int bncTime::mjd() const {
+  return _mjd;
+}
+ 
+//
+//////////////////////////////////////////////////////////////////////////////
+double bncTime::daysec() const {
+  return _sec;
+}
+
+//
+//////////////////////////////////////////////////////////////////////////////
+unsigned int bncTime::gpsw() const {
+  double   gsec;
+  long     gpsw;
+  jdgp(_mjd, gsec, gpsw);
+  return (int)gpsw;
+}
+
+// 
+//////////////////////////////////////////////////////////////////////////////
+double bncTime::gpssec() const {
+  double   gsec;
+  long     gpsw;
+  jdgp(_mjd, gsec, gpsw);
+  return gsec + _sec;
+}
+
+// 
+//////////////////////////////////////////////////////////////////////////////
+bool bncTime::operator!=(const bncTime &time1) const {
+  if ( ((*this) - time1) != 0 ) return 1;
+  return 0;
+}
+
+// 
+//////////////////////////////////////////////////////////////////////////////
+bncTime bncTime::operator+(double sec) const {
+  int     mjd    = this->mjd();
+  double  daysec = this->daysec();
+  daysec+=sec;
+  return bncTime().setmjd(daysec, mjd);
+}
+
+// 
+//////////////////////////////////////////////////////////////////////////////
+bncTime bncTime::operator-(double sec) const {
+  return (*this) + (-sec);
+}
+
+// 
+//////////////////////////////////////////////////////////////////////////////
+double bncTime::operator-(const bncTime &time1) const {
+  int mjdDiff = this->_mjd - time1._mjd;
+  if ( mjdDiff != 0 ) {
+    return mjdDiff * 86400.0 + this->_sec - time1._sec;
+  }
+  else {
+    return this->_sec - time1._sec;
+  }
+}
+
+// 
+//////////////////////////////////////////////////////////////////////////////
+void bncTime::civil_time(unsigned int &hour, unsigned int &min, 
+                          double &sec) const {
+  hour = static_cast<unsigned int>(_sec/3600.0);
+  min  = static_cast<unsigned int>((_sec - hour*3600)/60.0);
+  sec  = _sec - min*60 - hour*3600;
+  if (sec==60.0) {
+    min++;
+    sec=0;
+  }
+  if (min==60) {
+    hour++;
+    min=0;
+  }
+}
+
+// 
+//////////////////////////////////////////////////////////////////////////////
+string bncTime::timestr(unsigned numdec, char sep) const {
+  ostringstream str;
+  unsigned int hour, minute;
+  double sec;
+  this->civil_time(hour, minute, sec);
+  unsigned sw;
+  if (numdec == 0) {
+    sw = 2;
+  }
+  else {
+    sw = numdec + 3;
+  }
+  double chk = 0.5;
+  for (unsigned int ii=0; ii<numdec; ii++) chk *= 0.1;
+  if (sec > (60.0-chk)) {
+    sec = 0;
+    minute++;
+    if (minute == 60) {
+      minute = 0;
+      hour++;
+    }
+  }
+  str.setf(ios::fixed);
+  str << setfill('0');
+  str << setw(2)  << hour;
+  if (sep) str << sep;
+  str << setw(2)  << minute;
+  if (sep) str << sep;
+  str << setw(sw) << setprecision(numdec) << sec;
+  return str.str();
+}
+
Index: /trunk/BNC/bnctime.h
===================================================================
--- /trunk/BNC/bnctime.h	(revision 2123)
+++ /trunk/BNC/bnctime.h	(revision 2123)
@@ -0,0 +1,37 @@
+
+#ifndef BNCTIME_H
+#define BNCTIME_H
+
+#include <string>
+
+class bncTime {
+ public:
+  bncTime() {this->reset();}
+  bncTime(int gpsw, double gpssec);
+
+  bncTime& set(int gpsw, double gpssec);
+
+  unsigned int mjd()    const;
+  double       daysec() const;
+  unsigned int gpsw()   const;
+  double       gpssec() const;
+
+  bool   operator!=(const bncTime &time1) const;
+  double operator-(const bncTime &time1) const;
+  bncTime operator-(double sec) const;
+  bncTime operator+(double sec) const;
+
+  std::string timestr(unsigned numdec = 3, char sep = ':') const;  
+
+ private:
+  bncTime&     setmjd(double daysec, int mjd);
+  void        reset() {_mjd = 0; _sec = 0;}
+  void        civil_time (unsigned int& hour, unsigned int& min,   double& sec) const;
+  static void jdgp(double tjul, double & second, long & nweek);
+
+  unsigned int _mjd;
+  double       _sec;
+};
+
+#endif
+
Index: unk/BNC/t_time.cpp
===================================================================
--- /trunk/BNC/t_time.cpp	(revision 2122)
+++ 	(revision )
@@ -1,175 +1,0 @@
-#include <time.h>
-#include <cmath>
-#include <cstdio>
-#include <sstream>
-#include <iomanip>
-
-#include "t_time.h"
-
-using namespace std;
-
-// Constructor
-//////////////////////////////////////////////////////////////////////////////
-t_time::t_time(int gpsw, double gpssec) {
-  this->set(gpsw, gpssec);
-}
-  
-// 
-//////////////////////////////////////////////////////////////////////////////
-t_time& t_time::set(int gpsw, double gpssec) {
-  int  deltad;
-  int  dow = 0;
-  while ( gpssec >= 86400 ) {
-    gpssec-=86400;
-    dow++;
-  }
-  while ( gpssec <  0 ) {
-    gpssec+=86400;
-    dow--;
-  }
-  deltad = gpsw*7 + dow;
-  _mjd = 44244 + deltad;
-  _sec = gpssec;
-  return *this;
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-t_time& t_time::setmjd(double daysec, int mjd) {
-  _sec = daysec;
-  _mjd = mjd;
-  while ( _sec >= 86400 ) {
-    _sec-=86400;
-    _mjd++;
-  }
-  while ( _sec <  0 ) {
-    _sec+=86400;
-    _mjd--;
-  }
-  return *this;
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-void t_time::jdgp(double tjul, double & second, long & nweek) {
-  double      deltat;
-  deltat = tjul - 44244.0 ;
-  nweek = (long) floor(deltat/7.0);
-  second = (deltat - (nweek)*7.0)*86400.0;
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-unsigned int t_time::mjd() const {
-  return _mjd;
-}
- 
-//
-//////////////////////////////////////////////////////////////////////////////
-double t_time::daysec() const {
-  return _sec;
-}
-
-//
-//////////////////////////////////////////////////////////////////////////////
-unsigned int t_time::gpsw() const {
-  double   gsec;
-  long     gpsw;
-  jdgp(_mjd, gsec, gpsw);
-  return (int)gpsw;
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-double t_time::gpssec() const {
-  double   gsec;
-  long     gpsw;
-  jdgp(_mjd, gsec, gpsw);
-  return gsec + _sec;
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-bool t_time::operator!=(const t_time &time1) const {
-  if ( ((*this) - time1) != 0 ) return 1;
-  return 0;
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-t_time t_time::operator+(double sec) const {
-  int     mjd    = this->mjd();
-  double  daysec = this->daysec();
-  daysec+=sec;
-  return t_time().setmjd(daysec, mjd);
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-t_time t_time::operator-(double sec) const {
-  return (*this) + (-sec);
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-double t_time::operator-(const t_time &time1) const {
-  int mjdDiff = this->_mjd - time1._mjd;
-  if ( mjdDiff != 0 ) {
-    return mjdDiff * 86400.0 + this->_sec - time1._sec;
-  }
-  else {
-    return this->_sec - time1._sec;
-  }
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-void t_time::civil_time(unsigned int &hour, unsigned int &min, 
-                          double &sec) const {
-  hour = static_cast<unsigned int>(_sec/3600.0);
-  min  = static_cast<unsigned int>((_sec - hour*3600)/60.0);
-  sec  = _sec - min*60 - hour*3600;
-  if (sec==60.0) {
-    min++;
-    sec=0;
-  }
-  if (min==60) {
-    hour++;
-    min=0;
-  }
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-string t_time::timestr(unsigned numdec, char sep) const {
-  ostringstream str;
-  unsigned int hour, minute;
-  double sec;
-  this->civil_time(hour, minute, sec);
-  unsigned sw;
-  if (numdec == 0) {
-    sw = 2;
-  }
-  else {
-    sw = numdec + 3;
-  }
-  double chk = 0.5;
-  for (unsigned int ii=0; ii<numdec; ii++) chk *= 0.1;
-  if (sec > (60.0-chk)) {
-    sec = 0;
-    minute++;
-    if (minute == 60) {
-      minute = 0;
-      hour++;
-    }
-  }
-  str.setf(ios::fixed);
-  str << setfill('0');
-  str << setw(2)  << hour;
-  if (sep) str << sep;
-  str << setw(2)  << minute;
-  if (sep) str << sep;
-  str << setw(sw) << setprecision(numdec) << sec;
-  return str.str();
-}
-
Index: unk/BNC/t_time.h
===================================================================
--- /trunk/BNC/t_time.h	(revision 2122)
+++ 	(revision )
@@ -1,37 +1,0 @@
-
-#ifndef TIME_H
-#define TIME_H
-
-#include <string>
-
-class t_time {
- public:
-  t_time() {this->reset();}
-  t_time(int gpsw, double gpssec);
-
-  t_time& set(int gpsw, double gpssec);
-
-  unsigned int mjd()    const;
-  double       daysec() const;
-  unsigned int gpsw()   const;
-  double       gpssec() const;
-
-  bool   operator!=(const t_time &time1) const;
-  double operator-(const t_time &time1) const;
-  t_time operator-(double sec) const;
-  t_time operator+(double sec) const;
-
-  std::string timestr(unsigned numdec = 3, char sep = ':') const;  
-
- private:
-  t_time&     setmjd(double daysec, int mjd);
-  void        reset() {_mjd = 0; _sec = 0;}
-  void        civil_time (unsigned int& hour, unsigned int& min,   double& sec) const;
-  static void jdgp(double tjul, double & second, long & nweek);
-
-  unsigned int _mjd;
-  double       _sec;
-};
-
-#endif
-